> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post searchv1beta1libraries views searchscope

> Returns the Search Service scope of a view search without executing the search. Requires reader access and external document indexing. The returned filter is evaluated in UTC.



## OpenAPI

````yaml /openapis/search.json post /search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: 69.20.1
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: search
    description: Lets you search and count documents
paths:
  /search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope:
    post:
      tags:
        - search
      description: >-
        Returns the Search Service scope of a view search without executing the
        search. Requires reader access and external document indexing. The
        returned filter is evaluated in UTC.
      operationId: search:v1beta1.Search.getViewSearchScope
      parameters:
        - $ref: '#/components/parameters/libraryId_path_parameter'
        - $ref: '#/components/parameters/viewId_path_parameter'
        - $ref: '#/components/parameters/searchQuery_query_parameter'
        - $ref: '#/components/parameters/searchInAttachments_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        $ref: '#/components/requestBodies/ApiFilterRequest'
      responses:
        '200':
          description: A ApiViewSearchScope response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiViewSearchScope'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libraryId_path_parameter:
      name: libraryId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    viewId_path_parameter:
      name: viewId
      in: path
      description: The ID of the view
      required: true
      schema:
        type: string
    searchQuery_query_parameter:
      name: searchQuery
      in: query
      description: The text searched to filter documents
      required: false
      schema:
        type: string
    searchInAttachments_query_parameter:
      name: searchInAttachments
      in: query
      description: Whether to search the text in the attachments too (true by default)
      required: false
      schema:
        type: boolean
        default: true
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  requestBodies:
    ApiFilterRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiFilterRequest'
      required: true
  schemas:
    ApiViewSearchScope:
      type: object
      properties:
        classId:
          type: string
        filter:
          $ref: '#/components/schemas/Filter'
        kind:
          type: string
        libraryId:
          type: string
        publishState:
          type: string
          enum:
            - PUBLISHED
            - DRAFT_ONLY
            - BOTH
        queryScope:
          type: string
          enum:
            - METADATA_ONLY
            - ATTACHMENT_ONLY
            - ALL
    ApiFilterRequest:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/ApiFilterItem'
        kind:
          type: string
    Filter:
      type: object
    ApiFilterItem:
      type: object
      properties:
        column:
          type: string
        joinType:
          type: string
          enum:
            - AND
            - OR
        kind:
          type: string
        operator:
          type: string
          enum:
            - EQUAL
            - NOT_EQUAL
            - STRICTLY_GREATER_THAN
            - STRICTLY_LESSER_THAN
            - GREATER_THAN_OR_EQUAL_TO
            - LESSER_THAN_OR_EQUAL_TO
            - BETWEEN
            - EMPTY
            - NOT_EMPTY
            - WITHIN_THE_AREA
            - IN
            - NOT_IN
            - STARTS_WITH
            - ENDS_WITH
            - CONTAINS_SUBSTRING
        value:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.